Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 156906 - Provide introduce variable refactoring
Provide introduce variable refactoring
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
5.x
All All
: P2 with 3 votes (vote)
: 8.1
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks: 136314
  Show dependency treegraph
 
Reported: 2009-01-15 17:59 UTC by Vladimir Voskresensky
Modified: 2015-04-29 02:31 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2009-01-15 17:59:21 UTC
Provide introduce variable refactoring
Comment 1 Vladimir Voskresensky 2009-01-16 17:46:24 UTC
actions and UI
http://hg.netbeans.org/main?cmd=changeset;node=2478adce5e5f
Comment 2 Quality Engineering 2009-01-17 06:53:26 UTC
Integrated into 'main-golden', will be available in build *200901170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2478adce5e5f
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: actions and UI for:
IZ#156905:  Provide Introduce method refactoring
IZ#156906:  Provide introduce variable refactoring
Comment 3 Vladimir Voskresensky 2009-09-25 14:06:06 UTC
consider for the next release due to lack of resources
Comment 4 Quality Engineering 2015-04-27 05:09:38 UTC
Integrated into 'main-silver', will be available in build *201504270341* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9e29e492ce3e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156906 Provide introduce variable refactoring
- enable editor pop-up menu action
- invoke already existing fix for introduce variable action
Comment 5 Vladimir Voskresensky 2015-04-27 09:56:28 UTC
some comments:
VV1) same occurrences should be "tokens" similar, not pure text
expecting:
 a + b and a+b to be similar
VV2) additionally to "const" type in the C++ context it would be great to have "reference type (&)"
Comment 6 Vladimir Voskresensky 2015-04-27 11:17:01 UTC
VV3: Show to user the type we are going to insert and allow to modify
Comment 7 Quality Engineering 2015-04-28 02:58:21 UTC
Integrated into 'main-silver', will be available in build *201504280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/8f6cf58159a9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156906 Provide introduce variable refactoring
- check valid start and end occurrences
- one occurrence is a second occurrence (show replace occurrences check box)
Comment 8 Alexander Simon 2015-04-28 13:05:20 UTC
fixed, last change set:
http://hg.netbeans.org/cnd-main/rev/3e1b2add6044
Comment 9 Quality Engineering 2015-04-29 02:31:58 UTC
Integrated into 'main-silver', will be available in build *201504290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6fed90961588
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156906 Provide introduce variable refactoring
- unit tests


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo